Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Marker

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Marker
extends Persistent

Marker. Markers can appear zero, one or more times in a genome and each appearance is represented by a different location.

Note: Some markers do not have a genomic location because they can not be mapped to a clone fragment. In this case getLocation() returns null and getAllLocations() returns an emmpty array.

Method Summary
`java.lang.String` | `getDisplayName()`
`java.util.List` | `getMarkerFeatures()` MarkerFeatures representing where this marker appears on the genome.
`int` | `getMaxPrimerDistance()`
`int` | `getMinPrimerDistance()`
`int` | `getPriority()`
`java.lang.String` | `getSeqLeft()`
`java.lang.String` | `getSeqRight()`
`java.util.List` | `getSynonyms()`
`java.lang.String` | `getType()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setMarkerFeatures(java.util.List markerFeatures)` MarkerFeatures representing where this marker appears on the genome.
`void` | `setMaxPrimerDistance(int maxPrimerDistance)`
`void` | `setMinPrimerDistance(int minPrimerDistance)`
`void` | `setPriority(int priority)`
`void` | `setSeqLeft(java.lang.String seqLeft)`
`void` | `setSeqRight(java.lang.String seqRight)`
`void` | `setSynonyms(java.util.List synonyms)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getMaxPrimerDistance

    public int getMaxPrimerDistance()

### setMaxPrimerDistance

    public void setMaxPrimerDistance(int maxPrimerDistance)

### getMinPrimerDistance

    public int getMinPrimerDistance()

### setMinPrimerDistance

    public void setMinPrimerDistance(int minPrimerDistance)

### getMarkerFeatures

    public java.util.List getMarkerFeatures()

  MarkerFeatures representing where this marker appears on the genome.

  Returns:
    zero or more MarkerFeatures.

### setMarkerFeatures

    public void setMarkerFeatures(java.util.List markerFeatures)

  MarkerFeatures representing where this marker appears on the genome.

  Parameters:
    `markerFeatures` - zero or more MarkerFeatures.

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getSeqRight

    public java.lang.String getSeqRight()

### setSeqRight

    public void setSeqRight(java.lang.String seqRight)

### getSeqLeft

    public java.lang.String getSeqLeft()

### setSeqLeft

    public void setSeqLeft(java.lang.String seqLeft)

### getSynonyms

    public java.util.List getSynonyms()

  Returns:
    Ordered list of synonyms, primary synonym first.

### setSynonyms

    public void setSynonyms(java.util.List synonyms)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD